package com.jasamedika.medifirst2000.vo;

import java.util.Date;
import java.util.HashSet;
import java.util.Set;
import javax.persistence.*;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;

import com.fasterxml.jackson.annotation.JsonBackReference;
import javax.validation.constraints.NotNull;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 * class IndekKinerjaVOVO
 * 
 * @author Generator
 */
public class IndekKinerjaVO extends BaseTransactionVO {
	private Boolean isCustom;
	public Boolean getIsCustom() {
		return isCustom;
	}

	public void setIsCustom(Boolean isCustom) {
		this.isCustom = isCustom;
	}

	@Column(name = "Tanggal", nullable = false, length = 100)
	@Caption(value = "Tanggal")
	private Date tanggal;

	public Date getTanggal() {
		return tanggal;
	}

	public void setTanggal(Date tanggal) {
		this.tanggal = tanggal;
	}

	@ManyToOne
	@JoinColumn(name = "UraianTugasFk")
	@NotNull(message = "Uraian Tugas Harus Diisi")
	@Caption(value = "Uraian Tugas")
	private MapUraianTugasToRincianKegiatanVO uraianTugas;

	public MapUraianTugasToRincianKegiatanVO getUraianTugas() {
		return uraianTugas;
	}

	public void setUraianTugas(MapUraianTugasToRincianKegiatanVO uraianTugas) {
		this.uraianTugas = uraianTugas;
	}

	@Column(name = "UraianTugasFk", insertable = false, updatable = false)
	private String uraianTugasId;

	@ManyToOne
	@JoinColumn(name = "PegawaiFk")
	@NotNull(message = "Pegawai Harus Diisi")
	@Caption(value = "Pegawai")
	private PegawaiVO pegawai;

	public PegawaiVO getPegawai() {
		return pegawai;
	}

	public void setPegawai(PegawaiVO pegawai) {
		this.pegawai = pegawai;
	}

	@Column(name = "PegawaiFk", insertable = false, updatable = false)
	private Integer pegawaiId;

	@Column(name = "Nilai", nullable = false, length = 100)
	@Caption(value = "Nilai")
	private Integer nilai;

	public Integer getNilai() {
		return nilai;
	}

	public void setNilai(Integer nilai) {
		this.nilai = nilai;
	}

}